%define major 4
%define develname %mklibname xfcegui %{major} -d
%define libname %mklibname xfcegui %{major}

Summary:	Various GTK+ widgets for Xfce desktop environment
Summary(de):	Verschiedene GTK+ Widgets für den Xfce Desktop
Name:		libxfcegui
Version: 	4.10.0
Release: 	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}4-%{version}.tar.xz
Patch0:		%{name}4-4.4.2-extension-strip.patch
Patch1:		replace_xfce_setenv.patch
BuildRequires:	gtk2-devel >= 2.0.6
BuildRequires:	libxfce4util-devel
BuildRequires:	startup-notification-devel
BuildRequires:	gettext-devel
BuildRequires:	xfce4-dev-tools
BuildRequires:	%{_lib}glade2.0_0-devel
BuildRequires:	glade3-devel
BuildRequires:	xfconf-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	libxfcegui4-plugins
Requires:	%{_lib}rsvg2_2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%mklibname xfcegui4 4
Obsoletes:	%{name}4 < %version

%description 
Gui libraries for Xfce desktop environment.

#german
%description -l de
GUI-Bibliotheken für Xfce-Desktop-Umgebung.

#french
%description -l fr
Gui bibliothèques pour l'environnement de bureau Xfce.

#spanish
%description -l es
Bibliotecas GUI para entorno de escritorio Xfce.

#polish
%description -l pl
Gui libraries for Xfce desktop environment.

#serbian
%description -l sr
ГУИ библиотека за Ксфце окружење.

#dutch
%description -l nl
Gui bibliotheken voor Xfce desktop omgeving.

%package -n %{libname}
Summary:	Various GTK+ widgets for Xfce desktop environment
Summary(de):	Verschiedene GTK+ Widgets für den Xfce Desktop
Group:		Graphical desktop/Xfce
Provides:	libxfcegui4-plugins
Provides:	libxfcegui4
Obsoletes:	libxfcegui4 <= %{version}

%description -n %{libname}
Gui libraries for Xfce desktop environment.

#german
%description -n %{libname} -l de
GUI-Bibliotheken für Xfce-Desktop-Umgebung.

#french
%description -n %{libname} -l fr
Gui bibliothèques pour l'environnement de bureau Xfce.

#spanish
%description -n %{libname} -l es
Bibliotecas GUI para entorno de escritorio Xfce.

#polish
%description -n %{libname} -l pl
Gui libraries for Xfce desktop environment.

#serbian
%description -n %{libname} -l sr
ГУИ библиотека за Ксфце окружење.

#dutch
%description -n %{libname} -l nl
Gui bibliotheken voor Xfce desktop omgeving.


%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Summary(de):	Bibliotheken und Header-Dateien für %{name}
Group:		Graphical desktop/Xfce
Requires:	%{libname} = %{version}-%{release}
Requires:	xfce4-dev-tools
Requires:	%{_lib}glade2.0_0-devel
Requires:	glade3-devel
Provides:	%{name}4-devel = %{version}-%{release}
Provides:	libxfce4gui-devel = %{version}-%{release}
Provides:	libxfcegui4-devel
Obsoletes:	libxfcegui4-devel <= %{version}
Obsoletes:	%mklibname xfcegui4_ 4 -d

%description -n %{develname}
Libraries and header files for the %{name} library.

#german
%description -n %{develname} -l de
Bibliotheken und Header-Dateien für die %{name} Bibliothek.

#french
%description -n %{develname} -l fr
Bibliothèques et fichiers en-tête pour la %{name} Bibliothèque.

#spanish
%description -n %{develname} -l es
Las bibliotecas y los archivos de cabecera para la %{name} biblioteca.

#polish
%description -n %{develname} -l pl
Biblioteki i pliki nagłówkowe dla %{name} biblioteki.

#serbian
%description -n %{develname} -l sr
Библиотеке и заглавља датотеке %{name} Библиотека.

#dutch
%description -n %{develname} -l nl
Bibliotheken en header files voor %{name} bibliotheek.


%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{libname}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q -n %{name}4-%{version}
%patch0 -p1 -b .icons
%patch1 -p0

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--disable-static \
	--enable-startup-notification

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

#not needed
rm -f %{buildroot}/%{_libdir}/libglade/2.0/libxfce4.la
rm -f %{buildroot}/%{_libdir}/glade3/modules/libgladexfce4.la
rm -f %{buildroot}/%{_libdir}/*a

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%{_libdir}/libglade/2.0/libxfce4.so
%{_iconsdir}/*/*
%{_libdir}/glade3/modules/libgladexfce4.so
%{_datadir}/glade3/catalogs/xfce4.xml
%{_datadir}/glade3/catalogs/xfce4.xml.in
%{_datadir}/glade3/pixmaps/hicolor/*/actions/*.png
%{_datadir}/locale/*/LC_MESSAGES/libxfcegui4.mo

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*

%files doc
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%{_datadir}/gtk-doc/html/libxfcegui4/*

%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 4.10.0-3pclos2015
- rebuild against libxfce4util7

* Sat Jan 17 2015 ghostbunny <ghostbunny at gmx dot de> 4.10.0-2pclos2015
- rebuild against new libxfce4util
- remove unused patches
- add new patch from gentoo to get plugins built which still use this deprecated
  library
- give the library packages nice lib64 names on 64bit

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process for 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 4.10.0-1pclos2012
- 4.10.0
- added/fixed german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- added %{_lib} macros
- commented patch1/2 fixed in source

* Wed Jan 18 2012 Neal <nealbrks0 at gmail dot com> 4.8.1-2pclos2012
- added remove of .la and .a 

* Sat Dec 31 2011 Sproggy <desproggster@gmail.com> 4.8.1-2pclos2012
- rebuild

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1

* Sun Feb 27 2011 Sproggy <desproggster at gmail.com> 4.8.0-3pclos2011
- updated 4.8.0

* Sun May 23 2010 Texstar <texstar at gmail.com> 4.6.4-1pclos2010
- 4.6.4

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 4.6.3-1pclos2010
- 4.6.3

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 4.6.1-3pclos2010
- rebuild

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 4.6.1-2pclos2010
- gcc update

* Tue Apr 21 2009 johnnyblack <johnnyblack@inbox.com> 4.6.1-1pclos2009
- 4.6.1

* Sun Apr 05 2009 pcserver <pcserver@hushmail.com> 4.6.0-1pclos2007
- create

